import { ProviderKey, ProviderConnectors } from "../common";
import { Action } from "../reducer";
declare type SubscribeArgs = {
    dispatch: (action: Action) => void;
    connectors: ProviderConnectors;
    connectedKeys: ProviderKey[];
};
export declare function subscribeToAccountAndChainChanged({ dispatch, connectors, connectedKeys, }: SubscribeArgs): () => void;
declare type DisconnectWalletArgs = {
    dispatch: (action: Action) => void;
    connectors: ProviderConnectors;
    providerKey: ProviderKey;
};
export declare function disconnectWallet({ dispatch, connectors, providerKey, }: DisconnectWalletArgs): Promise<void>;
declare type ConnectWalletArgs = {
    dispatch: (action: Action) => void;
    connectors: ProviderConnectors;
    providerKey: ProviderKey;
};
export declare function connectWallet({ dispatch, connectors, providerKey, }: ConnectWalletArgs): Promise<void>;
declare type SynchronizeArgs = {
    dispatch: (action: Action) => void;
    connectors: ProviderConnectors;
};
export declare function synchronize({ dispatch, connectors }: SynchronizeArgs): Promise<void>;
export {};
